Subject: bug#7753: closed (Re: bug#7753: Bug in tail command)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Dec 2010 07:42:02 +0000

Your bug report

#7753: Bug in tail command

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7753: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7753
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7753: Bug in tail command
From: Paul Eggert <[email-masked]>
To: "Kielbasiewicz, Peter" <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Dec 2010 23:48:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/28/2010 10:56 PM, Kielbasiewicz, Peter wrote:
> df | tail -lines +2 works OK
> 
> I support HP-UX, Redhat and Ubuntu systems and unfortunately
> the -lines option does not work on my legacy HP-UX systems.

This should work, on all systems conforming to POSIX
(which surely HP-UX does):

df | tail -n +2

"tail +2" isn't portable.

Subject: Bug in tail command
From: "Kielbasiewicz, Peter" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 29 Dec 2010 07:56:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello maintainer,

running    tail  +2   on an Ubuntu Box I get the following error:
df | tail +2
tail: cannot open `+2' for reading: No such file or directory

df | tail -lines +2 works OK

I support HP-UX, Redhat and Ubuntu systems and unfortunately the -lines option does not work on my legacy HP-UX systems.

The man page for tail says
       -n, --lines=N
              output the last N lines, instead of the last 10; or  use  +N  to
              output lines starting with the Nth

Here is the version of coreutils which I am running:

#dpkg -s coreutils
Package: coreutils
Essential: yes
Status: install ok installed
Priority: required
Section: utils
Installed-Size: 12988
Maintainer: Ubuntu Developers <[email-masked]>
Architecture: amd64
Version: 7.4-2ubuntu3
Replaces: mktemp
Pre-Depends: libacl1 (>= 2.2.11-1), libattr1 (>= 2.4.41-1), libc6 (>= 2.11), libselinux1 (>= 1.32)

regards
  Peter

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.